GEOS 3.3.4

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Related Functions

- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- y
- z
- ~

Here is a list of all documented class members with links to the class documentation for each member:

### - s -

- scroll() : geos::geom::CoordinateSequence
- segInt : geos::noding::SinglePassNoder
- segmentFraction() : geos::geom::LineSegment
- segmentIndex : geos::noding::SegmentNode
- SegmentNode() : geos::noding::SegmentNode
- SegmentString() : geos::noding::SegmentString
- select() : geos::index::chain::MonotoneChainSelectAction , geos::index::chain::MonotoneChain
- set() : geos::geom::IntersectionMatrix
- setAll() : geos::geom::IntersectionMatrix
- setArmLengthRatio() : geos::geom::util::SineStarFactory
- setAt() : geos::geom::CoordinateArraySequence , geos::geom::CoordinateSequence
- setAtLeast() : geos::geom::IntersectionMatrix
- setAtLeastIfValid() : geos::geom::IntersectionMatrix
- setBase() : geos::util::GeometricShapeFactory
- setBaseSegments() : geos::noding::MCIndexSegmentSetMutualIntersector , geos::noding::SegmentSetMutualIntersector
- setCentre() : geos::util::GeometricShapeFactory
- setData() : geos::noding::SegmentString
- setDensifyFraction() : geos::algorithm::distance::DiscreteHausdorffDistance
- setDirectedEdges() : geos::planargraph::Edge
- setDistanceTolerance() : geos::simplify::DouglasPeuckerLineSimplifier , geos::simplify::DouglasPeuckerSimplifier , geos::simplify::TaggedLinesSimplifier , geos::simplify::TaggedLineStringSimplifier , geos::simplify::TopologyPreservingSimplifier
- setEdge() : geos::planargraph::DirectedEdge
- setEdgeDepths() : geos::geomgraph::DirectedEdge
- setEndCapStyle() : geos::operation::buffer::BufferOp , geos::operation::buffer::BufferParameters
- setFixInvalidLines() : geos::linearref::LinearGeometryBuilder
- setGeometry() : geos::geom::prep::BasicPreparedGeometry
- setHeight() : geos::util::GeometricShapeFactory
- setIgnoreInvalidLines() : geos::linearref::LinearGeometryBuilder
- setJoinStyle() : geos::operation::buffer::BufferParameters
- setMarked() : geos::planargraph::GraphComponent
- setMarkedMap() : geos::planargraph::GraphComponent
- setMaximumIterations() : geos::noding::IteratedNoder
- setMitreLimit() : geos::operation::buffer::BufferParameters
- setNoder() : geos::operation::buffer::BufferBuilder
- setNumArms() : geos::geom::util::SineStarFactory
- setNumPoints() : geos::util::GeometricShapeFactory
- setOld3D() : geos::io::WKTWriter
- setOrdinate() : geos::geom::CoordinateArraySequence , geos::geom::CoordinateSequence
- setPoints() : geos::geom::CoordinateArraySequence , geos::geom::CoordinateSequence
- setPrecisionModel() : geos::algorithm::LineIntersector
- setQuadrantSegments() : geos::operation::buffer::BufferOp , geos::operation::buffer::BufferParameters
- setRemoveCollapsedComponents() : geos::precision::SimpleGeometryPrecisionReducer
- setRoundingPrecision() : geos::io::WKTWriter
- setSegmentIntersector() : geos::noding::SinglePassNoder , geos::noding::SegmentSetMutualIntersector
- setSelfTouchingRingFormingHoleValid() : geos::operation::valid::IsValidOp
- setSingleSided() : geos::operation::buffer::BufferParameters
- setSize() : geos::util::GeometricShapeFactory
- setSym() : geos::planargraph::DirectedEdge
- setToEnd() : geos::linearref::LinearLocation
- setToNull() : geos::geom::Envelope
- setTrim() : geos::io::WKTWriter
- setUserData() : geos::geom::Geometry
- setVisited() : geos::planargraph::GraphComponent
- setVisitedEdge() : geos::geomgraph::DirectedEdge
- setVisitedMap() : geos::planargraph::GraphComponent
- setWidth() : geos::util::GeometricShapeFactory
- setWorkingPrecisionModel() : geos::operation::buffer::BufferBuilder
- sharedPathsOp() : geos::operation::sharedpaths::SharedPathsOp
- SharedPathsOp() : geos::operation::sharedpaths::SharedPathsOp
- signedArea() : geos::algorithm::CGAlgorithms
- signExpBits() : geos::precision::CommonBits
- signOfDet2x2() : geos::algorithm::RobustDeterminant
- simplify() : geos::simplify::DouglasPeuckerLineSimplifier , geos::operation::buffer::BufferInputLineSimplifier , geos::simplify::DouglasPeuckerLineSimplifier , geos::simplify::TaggedLineStringSimplifier , geos::operation::buffer::BufferInputLineSimplifier , geos::simplify::TaggedLinesSimplifier
- SineStarFactory() : geos::geom::util::SineStarFactory
- SingleInteriorIntersectionFinder() : geos::noding::SingleInteriorIntersectionFinder
- SIRtree() : geos::index::strtree::SIRtree
- size() : geos::index::quadtree::Quadtree , geos::noding::BasicSegmentString , geos::noding::SegmentNodeList , geos::geom::GeometryList
- snap() : geos::operation::overlay::snap::GeometrySnapper , geos::noding::snapround::MCIndexPointSnapper
- snapTo() : geos::operation::overlay::snap::GeometrySnapper
- snapToSelf() : geos::operation::overlay::snap::GeometrySnapper
- snapToVertex() : geos::linearref::LinearLocation
- std::auto_ptr< GeometryList > : geos::geom::GeometryList
- STRtree() : geos::index::strtree::STRtree
- Subgraph() : geos::planargraph::Subgraph
- subnode : geos::index::quadtree::NodeBase , geos::index::bintree::NodeBase
- symDifference() : geos::precision::EnhancedPrecisionOp , geos::geom::Geometry , geos::precision::CommonBitsOp